[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: Problem installing ncurses 5.4
From: |
Pierre |
Subject: |
Re: Problem installing ncurses 5.4 |
Date: |
Fri, 26 Nov 2004 08:09:45 +0100 |
User-agent: |
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040913 |
Thomas Dickey wrote:
On Wed, 24 Nov 2004, Pierre wrote:
[...]
installing ../lib/libncurses.la as /usr/lib/libncurses.la
cd ../lib; /usr/local/bin/libtool --mode=install
/usr/local/bin/install -c libncurses.la /usr/lib
/usr/local/bin/install -c .libs/libncurses.so.5.0.4
/usr/lib/libncurses.so.5.0.4
(cd /usr/lib && rm -f libncurses.so.5 && ln -s libncurses.so.5.0.4
libncurses.so.5)
(cd /usr/lib && rm -f libncurses.so && ln -s libncurses.so.5.0.4
libncurses.so)
/usr/local/bin/sed: relocation error: /usr/lib/libncurses.so.5:
undefined symbol: TABSIZE
/usr/local/bin/install -c .libs/i /usr/lib/
/usr/local/bin/install: cannot stat `.libs/i': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/tmp/ncurses-5.4/ncurses'
make: *** [install] Error 2
hmm - other than seeing that it's attempting to use libtool, I can't tell
much about it. (The ".libs/i" is definitely an error, but whether libtool
or some other cause, I cannot say). Perhaps seeing the config.status and
config.log would help.
Ok I'm attaching them to this email.
Regards,
--
Pierre.
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.
debug=false
SHELL=${CONFIG_SHELL-/bin/sh}
ac_cs_invocation="$0 $@"
# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
set -o posix
fi
# Name of the executable.
as_me=`echo "$0" |sed 's,.*[\\/],,'`
if expr a : '\(a\)' >/dev/null 2>&1; then
as_expr=expr
else
as_expr=false
fi
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
as_ln_s='ln -s'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln
else
as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file
as_executable_p="test -f"
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
as_unset=unset
else
as_unset=false
fi
# NLS nuisances.
$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export
LC_TIME; }
$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export
LC_CTYPE; }
$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export
LANGUAGE; }
$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C;
export LC_COLLATE; }
$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C;
export LC_NUMERIC; }
$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C;
export LC_MESSAGES; }
# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" $as_nl"
# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
exec 6>&1
config_files=" include/MKterm.h.awk include/curses.head:include/curses.h.in
include/termcap.h include/unctrl.h man/Makefile include/Makefile
ncurses/Makefile progs/Makefile tack/Makefile panel/Makefile menu/Makefile
form/Makefile test/Makefile misc/Makefile c++/Makefile
misc/run_tic.sh:misc/run_tic.in Makefile"
config_headers=" include/ncurses_cfg.h:include/ncurses_cfg.hin"
config_commands=" default"
ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.
Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number, then exit
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
--header=FILE[:TEMPLATE]
instantiate the configuration header FILE
Configuration files:
$config_files
Configuration headers:
$config_headers
Configuration commands:
$config_commands
Report bugs to <address@hidden>."
ac_cs_version="\
config.status
configured by ./configure, generated by GNU Autoconf 2.52.20030208,
with options \"--with-libtool --with-shared --with-normal --with-termlib
--with-dbmalloc --with-dmalloc --with-gpm --enable-rpath --enable-termcap
--enable-getcap --enable-getcap-cache --enable-symlinks --enable-broken_linker
--enable-bsdpad --with-rcs-ids --with-manpage-tbl --enable-const
--enable-no-padding --enable-sigwinch --enable-tcap-names --with-develop
--enable-hard-tabs --enable-xmc-glitch --enable-colorfgbg --enable-safe-sprintf
--enable-echo --enable-warnings --enable-assertions --enable-expanded CC=gcc
'CFLAGS=-s -O3 -march=i686' CPPFLAGS= 'CXXFLAGS=-s -O3 -march=i686' CXX=g++
LDFLAGS=\"
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
INSTALL="/usr/local/bin/install -c"
# If no file are specified by the user, then we need to provide default
# value. By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x\([^=]*\)='`
ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
shift
set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
shift
;;
-*);;
*) # This is not an option, so the user has probably given explicit
# arguments.
ac_need_defaults=false;;
esac
case $1 in
# Handling of the options.
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running /bin/sh ./configure " --with-libtool --with-shared
--with-normal --with-termlib --with-dbmalloc --with-dmalloc --with-gpm
--enable-rpath --enable-termcap --enable-getcap --enable-getcap-cache
--enable-symlinks --enable-broken_linker --enable-bsdpad --with-rcs-ids
--with-manpage-tbl --enable-const --enable-no-padding --enable-sigwinch
--enable-tcap-names --with-develop --enable-hard-tabs --enable-xmc-glitch
--enable-colorfgbg --enable-safe-sprintf --enable-echo --enable-warnings
--enable-assertions --enable-expanded CC=gcc 'CFLAGS=-s -O3 -march=i686'
CPPFLAGS= 'CXXFLAGS=-s -O3 -march=i686' CXX=g++ LDFLAGS= " --no-create
--no-recursion"
exec /bin/sh ./configure --with-libtool --with-shared --with-normal
--with-termlib --with-dbmalloc --with-dmalloc --with-gpm --enable-rpath
--enable-termcap --enable-getcap --enable-getcap-cache --enable-symlinks
--enable-broken_linker --enable-bsdpad --with-rcs-ids --with-manpage-tbl
--enable-const --enable-no-padding --enable-sigwinch --enable-tcap-names
--with-develop --enable-hard-tabs --enable-xmc-glitch --enable-colorfgbg
--enable-safe-sprintf --enable-echo --enable-warnings --enable-assertions
--enable-expanded CC=gcc 'CFLAGS=-s -O3 -march=i686' CPPFLAGS= 'CXXFLAGS=-s -O3
-march=i686' CXX=g++ LDFLAGS= --no-create --no-recursion ;;
--version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:12313: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
shift
CONFIG_FILES="$CONFIG_FILES $1"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
shift
CONFIG_HEADERS="$CONFIG_HEADERS $1"
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:12332: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;;
esac
shift
done
exec 5>>config.log
cat >&5 << _ACEOF
## ----------------------- ##
## Running config.status. ##
## ----------------------- ##
This file was extended by $as_me 2.52.20030208, executed with
CONFIG_FILES = $CONFIG_FILES
CONFIG_HEADERS = $CONFIG_HEADERS
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
> $ac_cs_invocation
on `(hostname || uname -n) 2>/dev/null | sed 1q`
_ACEOF
#
# INIT-COMMANDS section.
#
### Special initialization commands, used to pass information from the
### configuration-run into config.status
AWK="gawk"
CF_LIST_MODELS="libtool"
DFT_LWR_MODEL="libtool"
LDCONFIG="/sbin/ldconfig"
LIB_NAME="ncurses"
LIB_SUBSETS="termlib+ext_tinfo base+ext_funcs"
LIB_SUFFIX=""
LIB_TRACING="DEBUG"
MAKE_TERMINFO=""
NCURSES_OSPEED="short"
SRC_SUBDIRS="man include ncurses progs tack panel menu form test misc c++"
TERMINFO="/usr/share/terminfo"
TINFO_NAME="tinfo"
WITH_CURSES_H="yes"
WITH_ECHO="yes"
WITH_OVERWRITE="yes"
cf_cv_abi_version="5"
cf_cv_do_symlinks="yes"
cf_cv_rel_version="5.4"
cf_cv_rm_so_locs="no"
cf_cv_shlib_version="rel"
cf_cv_shlib_version_infix="no"
cf_cv_system_name="linux-gnu"
cf_with_cxx_binding="yes"
host="i686-pc-linux-gnu"
target="i686-pc-linux-gnu"
for ac_config_target in $ac_config_targets
do
case "$ac_config_target" in
# Handling of arguments.
"include/MKterm.h.awk" ) CONFIG_FILES="$CONFIG_FILES include/MKterm.h.awk" ;;
"include/curses.head" ) CONFIG_FILES="$CONFIG_FILES
include/curses.head:include/curses.h.in" ;;
"include/termcap.h" ) CONFIG_FILES="$CONFIG_FILES include/termcap.h" ;;
"include/unctrl.h" ) CONFIG_FILES="$CONFIG_FILES include/unctrl.h" ;;
"$SUB_MAKEFILES" ) CONFIG_FILES="$CONFIG_FILES $SUB_MAKEFILES" ;;
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
"include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS
include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
*) { { echo "$as_me:12412: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
done
# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
test -n "$tmp" && test -d "$tmp"
} ||
{
tmp=$TMPDIR/cs$$-$RANDOM
(umask 077 && mkdir $tmp)
} ||
{
echo "$me: cannot create a temporary directory in $TMPDIR" >&2
{ (exit 1); exit 1; }
}
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/sh,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/usr,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@PACKAGE_NAME@,,;t t
s,@PACKAGE_TARNAME@,,;t t
s,@PACKAGE_VERSION@,,;t t
s,@PACKAGE_STRING@,,;t t
s,@PACKAGE_BUGREPORT@,,;t t
s,@build_alias@,,;t t
s,@host_alias@,,;t t
s,@target_alias@,,;t t
s,@ECHO_C@,\c,;t t
s,@ECHO_N@,,;t t
s,@ECHO_T@,,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@DEFS@,-DHAVE_CONFIG_H,;t t
s,@LIBS@,,;t t
s,@NCURSES_MAJOR@,5,;t t
s,@NCURSES_MINOR@,4,;t t
s,@NCURSES_PATCH@,20040208,;t t
s,@cf_cv_rel_version@,5.4,;t t
s,@cf_cv_abi_version@,5,;t t
s,@cf_cv_builtin_bool@,1,;t t
s,@cf_cv_header_stdbool_h@,1,;t t
s,@cf_cv_type_of_bool@,unsigned char,;t t
s,@build@,i686-pc-linux-gnu,;t t
s,@build_cpu@,i686,;t t
s,@build_vendor@,pc,;t t
s,@build_os@,linux-gnu,;t t
s,@host@,i686-pc-linux-gnu,;t t
s,@host_cpu@,i686,;t t
s,@host_vendor@,pc,;t t
s,@host_os@,linux-gnu,;t t
s,@target@,i686-pc-linux-gnu,;t t
s,@target_cpu@,i686,;t t
s,@target_vendor@,pc,;t t
s,@target_os@,linux-gnu,;t t
s,@CC@,gcc,;t t
s,@CFLAGS@,-s -O3 -march=i686 -W -Wall -Wbad-function-cast -Wcast-align
-Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -Wshadow -Wstrict-prototypes -Wundef
-Wwrite-strings,;t t
s,@LDFLAGS@,,;t t
s,@CPPFLAGS@,-I. -I../include -D_GNU_SOURCE -DXTSTRINGDEFINES,;t t
s,@ac_ct_CC@,gcc,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@CPP@,gcc -E,;t t
s,@PROG_EXT@,,;t t
s,@LDCONFIG@,/sbin/ldconfig,;t t
s,@CXX@,/usr/local/bin/g++,;t t
s,@CXXFLAGS@,-s -O3 -march=i686,;t t
s,@ac_ct_CXX@,,;t t
s,@AWK@,gawk,;t t
s,@SET_MAKE@,,;t t
s,@INSTALL_PROGRAM@,${INSTALL},;t t
s,@INSTALL_SCRIPT@,${INSTALL},;t t
s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
s,@LN_S@,ln -s,;t t
s,@MAKE_LOWER_TAGS@,,;t t
s,@MAKE_UPPER_TAGS@,,;t t
s,@LINT@,,;t t
s,@MAN@,man,;t t
s,@LINT_OPTS@,,;t t
s,@RANLIB@,ranlib,;t t
s,@ac_ct_RANLIB@,ranlib,;t t
s,@LD@,ld,;t t
s,@ac_ct_LD@,ld,;t t
s,@AR@,ar,;t t
s,@ac_ct_AR@,ar,;t t
s,@AR_OPTS@,rv,;t t
s,@cf_cv_makeflags@,,;t t
s,@DESTDIR@,,;t t
s,@BUILD_CC@,$(CC),;t t
s,@BUILD_CFLAGS@,$(CFLAGS),;t t
s,@BUILD_CPPFLAGS@,$(CPPFLAGS),;t t
s,@BUILD_LDFLAGS@,$(LDFLAGS),;t t
s,@BUILD_LIBS@,$(LIBS),;t t
s,@BUILD_EXEEXT@,$x,;t t
s,@cf_list_models@,libtool,;t t
s,@LIBTOOL@,/usr/local/bin/libtool,;t t
s,@LIBTOOL_CXX@,/usr/local/bin/libtool --tag=CXX,;t t
s,@LIB_CREATE@,$(LIBTOOL) --mode=link $(CC) -rpath $(DESTDIR)$(libdir)
-version-info `cut -f1 $(srcdir)/VERSION` -o,;t t
s,@LIB_OBJECT@,$(OBJECTS:.o=.lo),;t t
s,@LIB_SUFFIX@,,;t t
s,@LIB_PREP@,:,;t t
s,@LIB_CLEAN@,$(LIBTOOL) --mode=clean,;t t
s,@LIB_COMPILE@,$(LIBTOOL) --mode=compile,;t t
s,@LIB_LINK@,$(LIBTOOL) --mode=link,;t t
s,@LIB_INSTALL@,$(LIBTOOL) --mode=install,;t t
s,@LIB_UNINSTALL@,$(LIBTOOL) --mode=uninstall,;t t
s,@DFT_LWR_MODEL@,libtool,;t t
s,@DFT_UPR_MODEL@,LIBTOOL,;t t
s,@TINFO_NAME@,tinfo,;t t
s,@LIB_NAME@,ncurses,;t t
s,@LIB_PREFIX@,lib,;t t
s,@CC_G_OPT@,-g,;t t
s,@CXX_G_OPT@,-g,;t t
s,@LD_MODEL@,,;t t
s,@CC_SHARED_OPTS@,-fPIC,;t t
s,@LD_SHARED_OPTS@,,;t t
s,@MK_SHARED_LIB@,$(CC) -shared -Wl,-soname,`basename $@
.$(REL_VERSION)`.$(ABI_VERSION),-stats,-lc -o $@ -Wl,-rpath,$(libdir),;t t
s,@LINK_PROGS@,,;t t
s,@LINK_TESTS@,,;t t
s,@EXTRA_LDFLAGS@, ,;t t
s,@LOCAL_LDFLAGS@,,;t t
s,@LOCAL_LDFLAGS2@,,;t t
s,@INSTALL_LIB@,-m 644,;t t
s,@TERMINFO_SRC@,${top_srcdir}/misc/terminfo.src,;t t
s,@PATHSEP@,:,;t t
s,@FALLBACK_LIST@,,;t t
s,@TERMINFO_DIRS@,/usr/share/terminfo,;t t
s,@TERMINFO@,/usr/share/terminfo,;t t
s,@MAKE_TERMINFO@,,;t t
s,@TERMPATH@,/etc/termcap:/usr/share/misc/termcap,;t t
s,@BROKEN_LINKER@,1,;t t
s,@NCURSES_BOOL@,auto,;t t
s,@NCURSES_OSPEED@,short,;t t
s,@MANPAGE_RENAMES@,no,;t t
s,@NCURSES_EXT_FUNCS@,1,;t t
s,@NCURSES_CONST@,const,;t t
s,@NCURSES_XNAMES@,1,;t t
s,@NCURSES_CH_T@,chtype,;t t
s,@NCURSES_LIBUTF8@,0,;t t
s,@NEED_WCHAR_H@,0,;t t
s,@NCURSES_MBSTATE_T@,0,;t t
s,@NCURSES_WCHAR_T@,0,;t t
s,@NCURSES_WINT_T@,0,;t t
s,@NCURSES_OK_WCHAR_T@,,;t t
s,@NCURSES_OK_WINT_T@,,;t t
s,@TERMINFO_CAPS@,Caps,;t t
s,@ECHO_LINK@,,;t t
s,@EXTRA_CFLAGS@,-W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Winline
-Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith
-Wshadow -Wstrict-prototypes -Wundef -Wwrite-strings,;t t
s,@ADA_TRACE@,FALSE,;t t
s,@MATH_LIB@,-lm,;t t
s,@cf_cv_typeof_chtype@,long,;t t
s,@cf_cv_1UL@,1UL,;t t
s,@HAVE_VSSCANF@,1,;t t
s,@CXXCPP@,/usr/local/bin/g++ -E,;t t
s,@CXXLDFLAGS@,,;t t
s,@CXX_AR@,$(AR),;t t
s,@CXX_AR_OPTS@,$(AR_OPTS),;t t
s,@CXXLIBS@,,;t t
s,@USE_CXX_BOOL@,defined(__cplusplus),;t t
s,@gnat_exists@,no,;t t
s,@M4_exists@,,;t t
s,@cf_ada_make@,,;t t
s,@cf_ada_compiler@,,;t t
s,@cf_ada_package@,,;t t
s,@ADAFLAGS@, -gnatg -gnata,;t t
s,@cf_compile_generics@,,;t t
s,@cf_generic_objects@,,;t t
s,@ADA_INCLUDE@,,;t t
s,@ADA_OBJECTS@,,;t t
s,@ACPPFLAGS@,-I. -I../../include ,;t t
s,@DFT_ARG_SUFFIX@,,;t t
s,@DFT_DEP_SUFFIX@,.la,;t t
s,@DFT_OBJ_SUBDIR@,obj_lo,;t t
s,@CXX_LIB_SUFFIX@,.la,;t t
s,@EXTRA_LIBS@,-lgpm -lncurses ,;t t
s,@TINFO_LIST@,-lgpm ,;t t
s,@SHLIB_LIST@,-lgpm ,;t t
s,@TEST_DEPS@,../lib/libform.la ../lib/libmenu.la ../lib/libpanel.la
../lib/libncurses.la ../lib/libtinfo.la,;t t
s,@TEST_ARGS@,-L../lib ../lib/libform.la ../lib/libmenu.la ../lib/libpanel.la
../lib/libncurses.la ../lib/libtinfo.la,;t t
s,@PROG_ARGS@,-L../lib ../lib/libtinfo.la,;t t
s,@ADA_SUBDIRS@,,;t t
s,@DIRS_TO_MAKE@,lib obj_lo,;t t
CEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition is to
# speed up the sed processing (if there are no `@' at all, there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag)
>$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
fi
ac_sed_frag=`expr $ac_sed_frag + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_lines`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
fi # test -n "$CONFIG_FILES"
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
# Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" || mkdir "$as_incr_dir"
;;
esac
done; }
ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
# A "../" for each directory in $ac_dir_suffix.
ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
else
ac_dir_suffix= ac_dots=
fi
case $srcdir in
.) ac_srcdir=.
if test -z "$ac_dots"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
fi ;;
[\\/]* | ?:[\\/]* )
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_dots$srcdir ;;
esac
case $INSTALL in
[\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_dots$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:12755: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated automatically by config.status. */
configure_input="Generated automatically from `echo $ac_file_in |
sed 's,.*/,,'` by configure."
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:12773: error: cannot find input file:
$f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
# Source tree
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:12786: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
sed "/^[ ]*VPATH[ ]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:address@hidden@:*/:/;
s/^\([^=]*=[ ]*\):*/\1/;
s/:*$//;
s/^[^=]*=[ ]*$//;
}
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
s,@INSTALL@,$ac_INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
rm -f $tmp/stdin
if test x"$ac_file" != x-; then
mv $tmp/out $ac_file
else
cat $tmp/out
rm -f $tmp/out
fi
done
#
# CONFIG_HEADER section.
#
# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
ac_dB='[ ].*$,\1#\2'
ac_dC=' '
ac_dD=',;t'
# ac_i turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_iA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
ac_iB='\([ ]\),\1#\2define\3'
ac_iC=' '
ac_iD='\4,;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
ac_uB='$,\1#\2define\3'
ac_uC=' '
ac_uD=',;t'
for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:12852: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:12863: error: cannot find input file:
$f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
# Source tree
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:12876: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
# Remove the trailing spaces.
sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
rm -f conftest.frag
cat >> conftest.frag <<CEOF
#define SYSTEM_NAME "linux-gnu"
#define CC_HAS_PROTOS 1
#ifdef __cplusplus
#include <stdlib.h>
#endif
#define HAVE_LONG_FILE_NAMES 1
#define MIXEDCASE_FILENAMES 1
#define HAVE_LIBGPM 1
#define HAVE_GPM_H 1
#define USE_DATABASE 1
#define TERMINFO_DIRS "/usr/share/terminfo"
#define TERMINFO "/usr/share/terminfo"
#define HAVE_BIG_CORE 1
#define USE_TERMCAP 1
#define TERMPATH "/etc/termcap:/usr/share/misc/termcap"
#define USE_GETCAP 1
#define USE_GETCAP_CACHE 1
#define USE_HOME_TERMINFO 1
#define HAVE_REMOVE 1
#define HAVE_UNLINK 1
#define HAVE_LINK 1
#define HAVE_SYMLINK 1
#define USE_SYMLINKS 1
#define BROKEN_LINKER 1
#define BSD_TPUTS 1
#define USE_RCS_IDS 1
#define HAVE_CURSES_VERSION 1
#define HAVE_HAS_KEY 1
#define HAVE_RESIZETERM 1
#define HAVE_RESIZE_TERM 1
#define HAVE_USE_DEFAULT_COLORS 1
#define HAVE_WRESIZE 1
#define NCURSES_EXT_FUNCS 1
#define NCURSES_NO_PADDING 1
#define USE_SIGWINCH 1
#define USE_HARD_TABS 1
#define USE_ROOT_ENVIRON 1
CEOF
cat >> conftest.frag <<CEOF
#define USE_XMC_SUPPORT 1
#define USE_ASSUMED_COLOR 1
#define USE_HASHMAP 1
#define USE_COLORFGBG 1
#define USE_SAFE_SPRINTF 1
#define GCC_SCANF 1
#define GCC_PRINTF 1
#define GCC_UNUSED __attribute__((unused))
#define GCC_NORETURN __attribute__((noreturn))
#define HAVE_NC_ALLOC_H 1
#define NCURSES_EXPANDED 1
#define HAVE_GETTIMEOFDAY 1
#define STDC_HEADERS 1
#define HAVE_DIRENT_H 1
#define TIME_WITH_SYS_TIME 1
#define HAVE_REGEX_H_FUNCS 1
#define HAVE_FCNTL_H 1
#define HAVE_GETOPT_H 1
#define HAVE_LIMITS_H 1
#define HAVE_LOCALE_H 1
#define HAVE_POLL_H 1
#define HAVE_SYS_IOCTL_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_SYS_POLL_H 1
#define HAVE_SYS_SELECT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TIMES_H 1
#define HAVE_TTYENT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_WCTYPE_H 1
#define HAVE_SYS_TIME_SELECT 1
#define CC_HAS_INLINE_FUNCS 1
#define TYPEOF_CHTYPE long
#define HAVE_ERRNO 1
#define HAVE_GETCWD 1
#define HAVE_GETEGID 1
#define HAVE_GETEUID 1
#define HAVE_GETTTYNAM 1
CEOF
cat >> conftest.frag <<CEOF
#define HAVE_MEMCCPY 1
#define HAVE_NANOSLEEP 1
#define HAVE_POLL 1
#define HAVE_REMOVE 1
#define HAVE_SELECT 1
#define HAVE_SETBUF 1
#define HAVE_SETBUFFER 1
#define HAVE_SETVBUF 1
#define HAVE_SIGACTION 1
#define HAVE_SIGVEC 1
#define HAVE_STRDUP 1
#define HAVE_STRSTR 1
#define HAVE_TCGETPGRP 1
#define HAVE_TIMES 1
#define HAVE_VSNPRINTF 1
#define HAVE_ISASCII 1
#define HAVE_TERMIO_H 1
#define HAVE_TERMIOS_H 1
#define HAVE_UNISTD_H 1
#define HAVE_TCGETATTR 1
#define HAVE_VSSCANF 1
#define HAVE_MKSTEMP 1
#define RETSIGTYPE void
#define HAVE_SIZECHANGE 1
#define HAVE_WORKING_POLL 1
#define HAVE_TYPEINFO 1
#define ETIP_NEEDS_MATH_H 1
#define CPP_HAS_VSCAN_FUNC 1
#define USE_STDIO_VSCAN 1
#define HAVE_SLK_COLOR 1
#define HAVE_PANEL_H 1
#define HAVE_LIBPANEL 1
#define HAVE_MENU_H 1
#define HAVE_LIBMENU 1
#define HAVE_FORM_H 1
#define HAVE_LIBFORM 1
#define NCURSES_PATHSEP ':'
#define NCURSES_VERSION_STRING "5.4.20040208"
CEOF
cat >> conftest.edit <<CEOF
/@DEFS@/r conftest.frag
/@DEFS@/d
CEOF
sed -f conftest.edit $tmp/in > $tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
rm -f conftest.edit conftest.frag
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated automatically by config.status. */
if test x"$ac_file" = x-; then
echo "/* Generated automatically by configure. */" >$tmp/config.h
else
echo "/* $ac_file. Generated automatically by configure. */"
>$tmp/config.h
fi
cat $tmp/in >>$tmp/config.h
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:12934: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" || mkdir "$as_incr_dir"
;;
esac
done; }
fi
rm -f $ac_file
mv $tmp/config.h $ac_file
fi
else
cat $tmp/config.h
rm -f $tmp/config.h
fi
done
#
# CONFIG_COMMANDS section.
#
for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
case $ac_dest in
default )
case $cf_cv_system_name in
OS/2*) LIB_PREFIX='' ;;
os2*) LIB_PREFIX='' ;;
*) LIB_PREFIX='lib' ;;
esac
cf_prefix=$LIB_PREFIX
for cf_dir in $SRC_SUBDIRS
do
if test -f $srcdir/$cf_dir/modules; then
IMPORT_LIB=
SHARED_LIB=
LIBS_TO_MAKE=
for cf_item in $CF_LIST_MODELS
do
case $cf_item in
libtool) cf_suffix='.la' ;;
normal) cf_suffix='.a' ;;
debug) cf_suffix='_g.a' ;;
profile) cf_suffix='_p.a' ;;
shared)
case $cf_cv_system_name in
cygwin*) cf_suffix='.dll' ;;
darwin*) cf_suffix='.dylib' ;;
hpux*)
case $target in
ia64*) cf_suffix='.so' ;;
*) cf_suffix='.sl' ;;
esac
;;
*) cf_suffix='.so' ;;
esac
esac
test -n "$LIB_SUFFIX" && cf_suffix="${LIB_SUFFIX}${cf_suffix}"
if test $cf_item = shared ; then
if test "$cf_cv_do_symlinks" = yes ; then
case "$cf_cv_shlib_version" in #(vi
rel) #(vi
case "$cf_cv_system_name" in #(vi
darwin*)
cf_suffix='.$(REL_VERSION)'"$cf_suffix" ;; #(vi
*)
cf_suffix="$cf_suffix"'.$(REL_VERSION)' ;;
esac
;;
abi)
case "$cf_cv_system_name" in #(vi
darwin*)
cf_suffix='.$(ABI_VERSION)'"$cf_suffix" ;; #(vi
*)
cf_suffix="$cf_suffix"'.$(ABI_VERSION)' ;;
esac
;;
esac
fi
# cygwin needs import library, and has unique naming
convention
# use autodetected ${cf_prefix} for import lib and
static lib, but
# use 'cyg' prefix for shared lib.
if test $cf_cv_shlib_version = cygdll ; then
SHARED_LIB="../lib/cyg${cf_dir}\$(ABI_VERSION).dll"
IMPORT_LIB="../lib/${cf_prefix}${cf_dir}.dll.a"
LIBS_TO_MAKE="$LIBS_TO_MAKE \$(SHARED_LIB)
\$(IMPORT_LIB)"
continue
fi
fi
LIBS_TO_MAKE="$LIBS_TO_MAKE
../lib/${cf_prefix}${cf_dir}${cf_suffix}"
done
if test $cf_dir = ncurses ; then
cf_subsets="$LIB_SUBSETS"
cf_termlib=`echo "$cf_subsets" |sed -e 's/ .*$//'`
if test "$cf_termlib" != "$cf_subsets" ; then
cf_item=`echo $LIBS_TO_MAKE |sed -e
s%$LIB_NAME%$TINFO_NAME%g`
LIBS_TO_MAKE="$cf_item $LIBS_TO_MAKE"
fi
else
cf_subsets=`echo "$LIB_SUBSETS" | sed -e 's/^termlib.*
//'`
fi
sed -e "address@hidden@%$LIBS_TO_MAKE%" \
-e "address@hidden@%$IMPORT_LIB%" \
-e "address@hidden@%$SHARED_LIB%" \
$cf_dir/Makefile >$cf_dir/Makefile.out
mv $cf_dir/Makefile.out $cf_dir/Makefile
$AWK -f $srcdir/mk-0th.awk \
libname="${cf_dir}${LIB_SUFFIX}" subsets="$LIB_SUBSETS"
\
$srcdir/$cf_dir/modules >>$cf_dir/Makefile
for cf_subset in $cf_subsets
do
cf_subdirs=
for cf_item in $CF_LIST_MODELS
do
echo "Appending rules for ${cf_item} model (${cf_dir}:
${cf_subset})"
CF_ITEM=`echo "$cf_item" | sed
y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
case $cf_item in
libtool) cf_suffix='.la' ;;
normal) cf_suffix='.a' ;;
debug) cf_suffix='_g.a' ;;
profile) cf_suffix='_p.a' ;;
shared)
case $cf_cv_system_name in
cygwin*) cf_suffix='.dll' ;;
darwin*) cf_suffix='.dylib' ;;
hpux*)
case $target in
ia64*) cf_suffix='.so' ;;
*) cf_suffix='.sl' ;;
esac
;;
*) cf_suffix='.so' ;;
esac
esac
test -n "$LIB_SUFFIX" && cf_suffix="${LIB_SUFFIX}${cf_suffix}"
case $cf_item in
libtool) cf_subdir='obj_lo' ;;
normal) cf_subdir='objects' ;;
debug) cf_subdir='obj_g' ;;
profile) cf_subdir='obj_p' ;;
shared)
case $cf_cv_system_name in #(vi
cygwin) #(vi
cf_subdir='objects' ;;
*)
cf_subdir='obj_s' ;;
esac
esac
# These dependencies really are for development, not
# builds, but they are useful in porting, too.
cf_depend="../include/ncurses_cfg.h"
if test "$srcdir" = "."; then
cf_reldir="."
else
cf_reldir="\$(srcdir)"
fi
if test -f $srcdir/$cf_dir/$cf_dir.priv.h; then
cf_depend="$cf_depend $cf_reldir/$cf_dir.priv.h"
elif test -f $srcdir/$cf_dir/curses.priv.h; then
cf_depend="$cf_depend $cf_reldir/curses.priv.h"
fi
$AWK -f $srcdir/mk-1st.awk \
name=$cf_dir \
traces=$LIB_TRACING \
MODEL=$CF_ITEM \
model=$cf_subdir \
prefix=$cf_prefix \
suffix=$cf_suffix \
subset=$cf_subset \
ShlibVer=$cf_cv_shlib_version \
ShlibVerInfix=$cf_cv_shlib_version_infix \
DoLinks=$cf_cv_do_symlinks \
rmSoLocs=$cf_cv_rm_so_locs \
ldconfig="$LDCONFIG" \
overwrite=$WITH_OVERWRITE \
depend="$cf_depend" \
host="$host" \
$srcdir/$cf_dir/modules >>$cf_dir/Makefile
for cf_subdir2 in $cf_subdirs lib
do
test $cf_subdir = $cf_subdir2 && break
done
test "${cf_subset}.${cf_subdir2}" !=
"${cf_subset}.${cf_subdir}" && \
$AWK -f $srcdir/mk-2nd.awk \
name=$cf_dir \
traces=$LIB_TRACING \
MODEL=$CF_ITEM \
model=$cf_subdir \
subset=$cf_subset \
srcdir=$srcdir \
echo=$WITH_ECHO \
$srcdir/$cf_dir/modules >>$cf_dir/Makefile
cf_subdirs="$cf_subdirs $cf_subdir"
done
done
fi
echo ' cd '$cf_dir' && $(MAKE) $(CF_MFLAGS) $@' >>Makefile
done
for cf_dir in $SRC_SUBDIRS
do
if test -f $cf_dir/Makefile ; then
case "$cf_dir" in
Ada95) #(vi
echo 'libs \' >> Makefile
echo 'install.libs \' >> Makefile
echo 'uninstall.libs ::' >> Makefile
echo ' cd '$cf_dir' && $(MAKE) $(CF_MFLAGS) $@' >>
Makefile
;;
esac
fi
if test -f $srcdir/$cf_dir/modules; then
echo >> Makefile
if test -f $srcdir/$cf_dir/headers; then
cat >> Makefile <<CF_EOF
install.includes \\
uninstall.includes \\
CF_EOF
fi
if test "$cf_dir" != "c++" ; then
echo 'lint \' >> Makefile
fi
cat >> Makefile <<CF_EOF
libs \\
lintlib \\
install.libs \\
uninstall.libs \\
install.$cf_dir \\
uninstall.$cf_dir ::
cd $cf_dir && \$(MAKE) \$(CF_MFLAGS) \$@
CF_EOF
elif test -f $srcdir/$cf_dir/headers; then
cat >> Makefile <<CF_EOF
libs \\
install.libs \\
uninstall.libs \\
install.includes \\
uninstall.includes ::
cd $cf_dir && \$(MAKE) \$(CF_MFLAGS) \$@
CF_EOF
fi
done
cat >> Makefile <<CF_EOF
install.data \\
uninstall.data ::
$MAKE_TERMINFO cd misc && \$(MAKE) \$(CF_MFLAGS) \$@
install.man \\
uninstall.man ::
cd man && \$(MAKE) \$(CF_MFLAGS) \$@
distclean ::
rm -f config.cache config.log config.status Makefile
include/ncurses_cfg.h
rm -f headers.sh headers.sed
rm -rf \$(DIRS_TO_MAKE)
CF_EOF
# Special case: tack's manpage lives in its own directory.
if test -d tack ; then
if test -f $srcdir/$tack.h; then
cat >> Makefile <<CF_EOF
install.man \\
uninstall.man ::
cd tack && \$(MAKE) \$(CF_MFLAGS) \$@
CF_EOF
fi
fi
rm -f headers.sed headers.sh
echo creating headers.sh
cat >headers.sh <<CF_EOF
#! /bin/sh
# This shell script is generated by the 'configure' script. It is invoked in a
# subdirectory of the build tree. It generates a sed-script in the parent
# directory that is used to adjust includes for header files that reside in a
# subdirectory of /usr/include, etc.
PRG=""
while test \$# != 3
do
PRG="\$PRG \$1"; shift
done
DST=\$1
REF=\$2
SRC=\$3
TMPSRC=\${TMPDIR-/tmp}/\`basename \$SRC\`\$\$
TMPSED=\${TMPDIR-/tmp}/headers.sed\$\$
echo installing \$SRC in \$DST
CF_EOF
if test $WITH_CURSES_H = yes; then
cat >>headers.sh <<CF_EOF
case \$DST in
/*/include/*)
END=\`basename \$DST\`
for i in \`cat \$REF/../*/headers |fgrep -v "#"\`
do
NAME=\`basename \$i\`
echo "s/<\$NAME>/<\$END\/\$NAME>/" >> \$TMPSED
done
;;
*)
echo "" >> \$TMPSED
;;
esac
CF_EOF
else
cat >>headers.sh <<CF_EOF
case \$DST in
/*/include/*)
END=\`basename \$DST\`
for i in \`cat \$REF/../*/headers |fgrep -v "#"\`
do
NAME=\`basename \$i\`
if test "\$NAME" = "curses.h"
then
echo "s/<curses.h>/<ncurses.h>/" >> \$TMPSED
NAME=ncurses.h
fi
echo "s/<\$NAME>/<\$END\/\$NAME>/" >> \$TMPSED
done
;;
*)
echo "s/<curses.h>/<ncurses.h>/" >> \$TMPSED
;;
esac
CF_EOF
fi
cat >>headers.sh <<CF_EOF
rm -f \$TMPSRC
sed -f \$TMPSED \$SRC > \$TMPSRC
NAME=\`basename \$SRC\`
CF_EOF
if test $WITH_CURSES_H != yes; then
cat >>headers.sh <<CF_EOF
test "\$NAME" = "curses.h" && NAME=ncurses.h
CF_EOF
fi
cat >>headers.sh <<CF_EOF
# Just in case someone gzip'd manpages, remove the conflicting copy.
test -f \$DST/\$NAME.gz && rm -f \$DST/\$NAME.gz
eval \$PRG \$TMPSRC \$DST/\$NAME
rm -f \$TMPSRC \$TMPSED
CF_EOF
chmod 0755 headers.sh
for cf_dir in $SRC_SUBDIRS
do
if test -f $srcdir/$cf_dir/headers; then
cat >>$cf_dir/Makefile <<CF_EOF
\$(DESTDIR)\$(includedir) :
sh \$(srcdir)/../mkinstalldirs \$@
install \\
install.libs \\
install.includes :: \$(AUTO_SRC) \$(DESTDIR)\$(includedir) \\
CF_EOF
j=""
for i in `cat $srcdir/$cf_dir/headers |fgrep -v "#"`
do
test -n "$j" && echo " $j \\"
>>$cf_dir/Makefile
j=$i
done
echo " $j" >>$cf_dir/Makefile
for i in `cat $srcdir/$cf_dir/headers |fgrep -v "#"`
do
echo " @ (cd \$(DESTDIR)\$(includedir) && rm -f
`basename $i`) ; ../headers.sh \$(INSTALL_DATA) \$(DESTDIR)\$(includedir)
\$(srcdir) $i" >>$cf_dir/Makefile
test $i = curses.h && test $WITH_CURSES_H = yes && echo
" @ (cd \$(DESTDIR)\$(includedir) && rm -f ncurses.h && \$(LN_S) curses.h
ncurses.h)" >>$cf_dir/Makefile
done
cat >>$cf_dir/Makefile <<CF_EOF
uninstall \\
uninstall.libs \\
uninstall.includes ::
CF_EOF
for i in `cat $srcdir/$cf_dir/headers |fgrep -v "#"`
do
i=`basename $i`
echo " -@ (cd \$(DESTDIR)\$(includedir) && rm -f $i)"
>>$cf_dir/Makefile
test $i = curses.h && echo " -@ (cd
\$(DESTDIR)\$(includedir) && rm -f ncurses.h)" >>$cf_dir/Makefile
done
fi
if test -f $srcdir/$cf_dir/modules; then
if test "$cf_dir" != "c++" ; then
cat >>$cf_dir/Makefile <<"CF_EOF"
depend : $(AUTO_SRC)
makedepend -- $(CPPFLAGS) -- $(C_SRC)
# DO NOT DELETE THIS LINE -- make depend depends on it.
CF_EOF
fi
fi
done
;;
esac
done
{ (exit 0); exit 0; }
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by configure, which was
generated by GNU Autoconf 2.52.20030208. Invocation command line was
$ ./configure --with-libtool --with-shared --with-normal --with-termlib
--with-dbmalloc --with-dmalloc --with-gpm --enable-rpath --enable-termcap
--enable-getcap --enable-getcap-cache --enable-symlinks --enable-broken_linker
--enable-bsdpad --with-rcs-ids --with-manpage-tbl --enable-const
--enable-no-padding --enable-sigwinch --enable-tcap-names --with-develop
--enable-hard-tabs --enable-xmc-glitch --enable-colorfgbg --enable-safe-sprintf
--enable-echo --enable-warnings --enable-assertions --enable-expanded
## ---------- ##
## Platform. ##
## ---------- ##
hostname = pierre
uname -m = i686
uname -r = 2.6.9
uname -s = Linux
uname -v = #1 Mon Nov 8 03:47:11 CET 2004
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH =
/usr/local/qt/bin:/usr/local/qt-embedded/bin:/usr/local/qtopia/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/local/j2sdk/bin:/usr/local/kde/bin:/usr/local/pccts/bin:/usr/local/ssl/bin:/usr/local/mysql/bin:/usr/local/netpbm/bin:/usr/local/ant/bin
## ------------ ##
## Core tests. ##
## ------------ ##
configure:1029: PATH=".;."; conftest.sh
./configure: line 1030: conftest.sh: command not found
configure:1032: $? = 127
configure:1049: result: Configuring NCURSES 5.4 ABI 5 (Wed Nov 24 01:51:53 CET
2004)
configure:1154: checking build system type
configure:1172: result: i686-pc-linux-gnu
configure:1179: checking host system type
configure:1193: result: i686-pc-linux-gnu
configure:1201: checking target system type
configure:1215: result: i686-pc-linux-gnu
configure:1246: result: Configuring for linux-gnu
configure:1270: checking for prefix
configure:1282: result: /usr
configure:1357: checking for gcc
configure:1380: result: gcc
configure:1608: checking for C compiler version
configure:1611: gcc --version </dev/null >&5
gcc (GCC) 3.4.3
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:1614: $? = 0
configure:1616: gcc -v </dev/null >&5
Reading specs from /usr/local/lib/gcc/i686-pc-linux-gnu/3.4.3/specs
Configured with: ./configure --enable-shared --enable-threads --enable-nls
--with-system-zlib --with-x --enable-gtk-cairo --enable-java-awt=gtk,xlib
Thread model: posix
gcc version 3.4.3
configure:1619: $? = 0
configure:1621: gcc -V </dev/null >&5
gcc: `-V' option must have argument
configure:1624: $? = 1
configure:1644: checking for C compiler default output
configure:1647: gcc -s -O3 -march=i686 conftest.c >&5
configure:1650: $? = 0
configure:1679: result: a.out
configure:1684: checking whether the C compiler works
configure:1690: ./a.out
configure:1693: $? = 0
configure:1708: result: yes
configure:1715: checking whether we are cross compiling
configure:1717: result: no
configure:1720: checking for executable suffix
configure:1722: gcc -o conftest -s -O3 -march=i686 conftest.c >&5
configure:1725: $? = 0
configure:1747: result:
configure:1753: checking for object suffix
configure:1771: gcc -c -s -O3 -march=i686 conftest.c >&5
configure:1774: $? = 0
configure:1793: result: o
configure:1797: checking whether we are using the GNU C compiler
configure:1818: gcc -c -s -O3 -march=i686 conftest.c >&5
configure:1821: $? = 0
configure:1824: test -s conftest.o
configure:1827: $? = 0
configure:1839: result: yes
configure:1845: checking whether gcc accepts -g
configure:1863: gcc -c -g conftest.c >&5
configure:1866: $? = 0
configure:1869: test -s conftest.o
configure:1872: $? = 0
configure:1882: result: yes
configure:1909: gcc -c -s -O3 -march=i686 conftest.c >&5
conftest.c:2: error: parse error before "me"
configure:1912: $? = 1
configure: failed program was:
#ifndef __cplusplus
choke me
#endif
configure:2012: checking version of gcc
configure:2016: result: 3.4.3
configure:2025: checking how to run the C preprocessor
configure:2051: gcc -E conftest.c
configure:2057: $? = 0
configure:2084: gcc -E conftest.c
configure:2081:28: ac_nonexistent.h: No such file or directory
configure:2090: $? = 1
configure: failed program was:
#line 2080 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2127: result: gcc -E
configure:2142: gcc -E conftest.c
configure:2148: $? = 0
configure:2175: gcc -E conftest.c
configure:2172:28: ac_nonexistent.h: No such file or directory
configure:2181: $? = 1
configure: failed program was:
#line 2171 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2221: checking whether gcc needs -traditional
configure:2256: result: no
configure:2263: checking for POSIXized ISC
configure:2282: result: no
configure:2287: checking for gcc option to accept ANSI C
configure:2364: gcc -c -s -O3 -march=i686 -DCC_HAS_PROTOS conftest.c >&5
configure:2367: $? = 0
configure:2370: test -s conftest.o
configure:2373: $? = 0
configure:2386: result: -DCC_HAS_PROTOS
configure:2471: checking for ldconfig
configure:2488: found /sbin/ldconfig
configure:2499: result: /sbin/ldconfig
configure:2510: checking if you want to ensure bool is consistent with C++
configure:2520: result: yes
configure:2614: checking for C++ compiler version
configure:2617: g++ --version </dev/null >&5
g++ (GCC) 3.4.3
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2620: $? = 0
configure:2622: g++ -v </dev/null >&5
Reading specs from /usr/local/lib/gcc/i686-pc-linux-gnu/3.4.3/specs
Configured with: ./configure --enable-shared --enable-threads --enable-nls
--with-system-zlib --with-x --enable-gtk-cairo --enable-java-awt=gtk,xlib
Thread model: posix
gcc version 3.4.3
configure:2625: $? = 0
configure:2627: g++ -V </dev/null >&5
g++: `-V' option must have argument
configure:2630: $? = 1
configure:2633: checking whether we are using the GNU C++ compiler
configure:2654: g++ -c -s -O3 -march=i686 conftest.cc >&5
configure:2657: $? = 0
configure:2660: test -s conftest.o
configure:2663: $? = 0
configure:2675: result: yes
configure:2681: checking whether g++ accepts -g
configure:2699: g++ -c -g conftest.cc >&5
configure:2702: $? = 0
configure:2705: test -s conftest.o
configure:2708: $? = 0
configure:2718: result: yes
configure:2758: g++ -c -s -O3 -march=i686 conftest.cc >&5
configure:2761: $? = 0
configure:2764: test -s conftest.o
configure:2767: $? = 0
configure:2789: g++ -c -s -O3 -march=i686 conftest.cc >&5
configure: In function `int main()':
configure:2782: error: `exit' undeclared (first use this function)
configure:2782: error: (Each undeclared identifier is reported only once for
each function it appears in.)
configure:2792: $? = 1
configure: failed program was:
#line 2777 "configure"
#include "confdefs.h"
int
main ()
{
exit (42);
;
return 0;
}
configure:2758: g++ -c -s -O3 -march=i686 conftest.cc >&5
configure:2761: $? = 0
configure:2764: test -s conftest.o
configure:2767: $? = 0
configure:2789: g++ -c -s -O3 -march=i686 conftest.cc >&5
configure:2792: $? = 0
configure:2795: test -s conftest.o
configure:2798: $? = 0
configure:2824: checking for g++
configure:2841: found /usr/local/bin/g++
configure:2852: result: /usr/local/bin/g++
configure:2869: checking version of g++
configure:2872: result: g++ (GCC) 3.4.3
configure:2885: checking if you want to build C++ binding and demo
configure:2895: result: yes
configure:2898: checking if you want to build with Ada95
configure:2908: result: yes
configure:2911: checking if you want to build programs such as tic
configure:2921: result: yes
configure:2924: checking if you wish to install curses.h
configure:2934: result: yes
configure:2960: checking for mawk
configure:2986: result: no
configure:2960: checking for gawk
configure:2975: found /usr/local/bin/gawk
configure:2983: result: gawk
configure:2993: checking whether make sets ${MAKE}
configure:3013: result: yes
configure:3034: checking for a BSD compatible install
configure:3083: result: /usr/local/bin/install -c
configure:3104: checking for long file names
configure:3143: result: yes
configure:3153: checking if filesystem supports mixed-case filenames
configure:3180: result: yes
configure:3186: checking whether ln -s works
configure:3190: result: yes
configure:3199: checking for ctags
configure:3214: found /usr/local/bin/ctags
configure:3223: result: yes
configure:3233: checking for etags
configure:3248: found /usr/local/bin/etags
configure:3257: result: yes
configure:3284: checking for tdlint
configure:3310: result: no
configure:3284: checking for lint
configure:3310: result: no
configure:3284: checking for alint
configure:3310: result: no
configure:3321: checking for man
configure:3336: found /usr/bin/man
configure:3344: result: man
configure:3392: checking for ranlib
configure:3407: found /usr/local/bin/ranlib
configure:3416: result: ranlib
configure:3466: checking for ld
configure:3481: found /usr/local/bin/ld
configure:3490: result: ld
configure:3540: checking for ar
configure:3555: found /usr/local/bin/ar
configure:3564: result: ar
configure:3580: checking for archiver options (symbol AR_OPTS)
configure:3583: result: rv
configure:3591: checking for makeflags variable
configure:3624: result:
configure:3627: checking if you have specified an install-prefix
configure:3640: result:
configure:3749: checking if you want to build libraries with libtool
configure:3759: result: yes
configure:3794: checking for libtool
configure:3811: found /usr/local/bin/libtool
configure:3822: result: /usr/local/bin/libtool
configure:3846: checking version of libtool
configure:3853: result: 1.5.4
configure:3943: checking for specified models
configure:3947: result: libtool
configure:3952: checking for default model
configure:3955: result: libtool
configure:3979: checking if you want to build a separate terminfo library
configure:3989: result: yes
configure:3994: checking if you want to link with dbmalloc for testing
configure:4004: result: yes
configure:4008: checking for debug_malloc in -ldbmalloc
configure:4035: gcc -o conftest -s -O3 -march=i686 conftest.c -ldbmalloc >&5
/usr/local/lib/gcc/i686-pc-linux-gnu/3.4.3/../../../../i686-pc-linux-gnu/bin/ld:
cannot find -ldbmalloc
collect2: ld returned 1 exit status
configure:4038: $? = 1
configure: failed program was:
#line 4016 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char debug_malloc ();
int
main ()
{
debug_malloc ();
;
return 0;
}
configure:4055: result: no
configure:4068: checking if you want to link with dmalloc for testing
configure:4078: result: yes
configure:4082: checking for dmalloc_debug in -ldmalloc
configure:4109: gcc -o conftest -s -O3 -march=i686 conftest.c -ldmalloc >&5
/usr/local/lib/gcc/i686-pc-linux-gnu/3.4.3/../../../../i686-pc-linux-gnu/bin/ld:
cannot find -ldmalloc
collect2: ld returned 1 exit status
configure:4112: $? = 1
configure: failed program was:
#line 4090 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char dmalloc_debug ();
int
main ()
{
dmalloc_debug ();
;
return 0;
}
configure:4129: result: no
configure:4143: checking if you want to link with the gpm mouse library
configure:4153: result: yes
configure:4156: checking for Gpm_Open in -lgpm
configure:4183: gcc -o conftest -s -O3 -march=i686 conftest.c -lgpm >&5
configure:4186: $? = 0
configure:4189: test -s conftest
configure:4192: $? = 0
configure:4203: result: yes
configure:4216: checking for gpm.h
configure:4226: gcc -E conftest.c
configure:4232: $? = 0
configure:4251: result: yes
configure:4342: checking for default loader flags
configure:4351: result:
configure:4354: checking if rpath option should be used
configure:4364: result: yes
configure:4374: checking if release/abi version should be used for shared libs
configure:4398: result: auto
configure:4407: checking which gcc option to use
configure:4426: gcc -c -s -O3 -march=i686 -fPIC conftest.c >&5
configure:4429: $? = 0
configure:4432: test -s conftest.o
configure:4435: $? = 0
configure:4444: result: -fPIC
configure:4636: checking if we need a space after rpath option
configure:4653: gcc -o conftest -s -O3 -march=i686 conftest.c
-Wl,-rpath,${exec_prefix}/lib >&5
configure:4656: $? = 0
configure:4659: test -s conftest
configure:4662: $? = 0
configure:4672: result: no
configure:4691: checking if you wish to install ncurses overwriting curses
configure:4701: result: yes
configure:4704: checking if external terminfo-database is used
configure:4714: result: yes
configure:4736: checking which terminfo source-file will be installed
configure:4744: result: ${top_srcdir}/misc/terminfo.src
configure:4748: checking for list of fallback descriptions
configure:4758: result:
configure:4768: checking for list of terminfo directories
configure:4815: result: /usr/share/terminfo
configure:4821: checking for default terminfo directory
configure:4858: result: /usr/share/terminfo
configure:4868: checking if big-core option selected
configure:4894: gcc -o conftest -s -O3 -march=i686 conftest.c >&5
configure:4897: $? = 0
configure:4899: ./conftest
configure:4902: $? = 0
configure:4914: result: yes
configure:4921: checking if you want termcap-fallback support
configure:4931: result: yes
configure:4952: checking for list of termcap files
configure:4999: result: /etc/termcap:/usr/share/misc/termcap
configure:5006: checking if fast termcap-loader is needed
configure:5016: result: yes
configure:5022: checking if translated termcaps will be cached in ~/.terminfo
configure:5032: result: yes
configure:5041: checking if ~/.terminfo is wanted
configure:5063: checking for remove
configure:5100: gcc -o conftest -s -O3 -march=i686 conftest.c >&5
configure:5103: $? = 0
configure:5106: test -s conftest
configure:5109: $? = 0
configure:5119: result: yes
configure:5063: checking for unlink
configure:5100: gcc -o conftest -s -O3 -march=i686 conftest.c >&5
configure:5103: $? = 0
configure:5106: test -s conftest
configure:5109: $? = 0
configure:5119: result: yes
configure:5203: checking if link/symlink functions work
configure:5246: gcc -o conftest -s -O3 -march=i686 conftest.c >&5
configure:5249: $? = 0
configure:5251: ./conftest
configure:5254: $? = 0
configure:5246: gcc -o conftest -s -O3 -march=i686 conftest.c >&5
configure:5249: $? = 0
configure:5251: ./conftest
configure:5254: $? = 0
configure:5272: result: link symlink
configure:5308: checking if tic should use symbolic links
configure:5318: result: yes
configure:5331: checking if you want broken-linker support code
configure:5341: result: yes
configure:5366: checking for type of bool
configure:5376: result: auto
configure:5380: checking for type of ospeed
configure:5390: result: short
configure:5394: checking if tputs should process BSD-style prefix padding
configure:5404: result: yes
configure:5411: checking if RCS identifiers should be compiled-in
configure:5421: result: yes
configure:5429: checking format of man-pages
configure:5518: result: normal
configure:5525: checking for manpage renaming
configure:5567: result: no
configure:5570: checking if manpage aliases will be installed
configure:5581: result: yes
configure:5592: checking if manpage symlinks should be used
configure:5611: result: yes
configure:5615: checking for manpage tbl
configure:5626: result: yes
configure:5914: checking if you want to build with function extensions
configure:5924: result: yes
configure:5961: checking for extended use of const keyword
configure:5971: result: yes
configure:5978: checking if you want $NCURSES_NO_PADDING code
configure:5988: result: yes
configure:5995: checking if you want SIGWINCH handler
configure:6005: result: yes
configure:6012: checking if you want user-definable terminal capabilities like
termcap
configure:6022: result: yes
configure:6030: checking if you want all development code
configure:6040: result: yes
configure:6044: checking if you want hard-tabs code
configure:6054: result: yes
configure:6060: checking if you want to use restrict environment when running
as root
configure:6070: result: yes
configure:6077: checking if you want limited support for xmc
configure:6087: result: yes
configure:6096: checking if you do not want to assume colors are white-on-black
configure:6106: result: yes
configure:6113: checking if you want hashmap scrolling-optimization code
configure:6123: result: yes
configure:6130: checking if you want colorfgbg code
configure:6140: result: yes
configure:6146: checking if you want experimental safe-sprintf code
configure:6156: result: yes
configure:6206: checking if we must define _GNU_SOURCE
configure:6228: gcc -c -s -O3 -march=i686 conftest.c >&5
configure: In function `main':
configure:6220: error: `make' undeclared (first use in this function)
configure:6220: error: (Each undeclared identifier is reported only once
configure:6220: error: for each function it appears in.)
configure:6220: error: parse error before "an"
configure:6231: $? = 1
configure: failed program was:
#line 6213 "configure"
#include "confdefs.h"
#include <sys/types.h>
int
main ()
{
#ifndef _XOPEN_SOURCE
make an error
#endif
;
return 0;
}
configure:6261: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE conftest.c >&5
configure: In function `main':
configure:6253: error: `make' undeclared (first use in this function)
configure:6253: error: (Each undeclared identifier is reported only once
configure:6253: error: for each function it appears in.)
configure:6253: error: parse error before "an"
configure:6264: $? = 1
configure: failed program was:
#line 6246 "configure"
#include "confdefs.h"
#include <sys/types.h>
int
main ()
{
#ifdef _XOPEN_SOURCE
make an error
#endif
;
return 0;
}
configure:6285: result: yes
configure:6482: checking if you want experimental wide-character code
configure:6492: result: no
configure:7115: checking for terminal capabilities file
configure:7126: result: Caps
configure:7132: checking if you want to display full commands during build
configure:7148: result: yes
configure:7152: checking if you want to see compiler warnings
configure:7160: result: yes
configure:7172: checking for gcc warning options...
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-D_GNU_SOURCE conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -D_GNU_SOURCE conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -D_GNU_SOURCE conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
>&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -Wshadow -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -Wshadow -Wstrict-prototypes -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -Wshadow -Wstrict-prototypes -Wundef
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7192: gcc -c -s -O3 -march=i686 -W -Wall -Wbad-function-cast
-Wcast-align -Wcast-qual -Winline -Wmissing-declarations -Wmissing-prototypes
-Wnested-externs -Wpointer-arith -Wshadow -Wstrict-prototypes -Wundef
-Wwrite-strings -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c >&5
configure:7195: $? = 0
configure:7239: checking for gcc __attribute__ directives...
checking for gcc __attribute__((scanf))
configure:7280: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7283: $? = 0
checking for gcc __attribute__((printf))
configure:7280: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7283: $? = 0
checking for gcc __attribute__((unused))
configure:7280: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7283: $? = 0
checking for gcc __attribute__((noreturn))
configure:7280: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7283: $? = 0
configure:7297: checking if you want to enable runtime assertions
configure:7307: result: yes
configure:7368: checking whether to add trace feature to all models
configure:7378: result:
configure:7421: checking for gettimeofday
configure:7458: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:7461: $? = 0
configure:7464: test -s conftest
configure:7467: $? = 0
configure:7477: result: yes
configure:7545: checking if -lm needed for math functions
configure:7567: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
/tmp/cc8ExGqm.o(.text+0x1c): In function `main':
: undefined reference to `sin'
collect2: ld returned 1 exit status
configure:7570: $? = 1
configure: failed program was:
#line 7552 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <math.h>
int
main ()
{
double x = rand(); printf("result = %g\n", sin(x))
;
return 0;
}
configure:7586: result: yes
configure:7594: checking for ANSI C header files
configure:7608: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:7614: $? = 0
configure:7701: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:7704: $? = 0
configure:7706: ./conftest
configure:7709: $? = 0
configure:7722: result: yes
configure:7735: checking for dirent.h that defines DIR
configure:7756: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7759: $? = 0
configure:7762: test -s conftest.o
configure:7765: $? = 0
configure:7775: result: yes
configure:7788: checking for opendir in -ldir
configure:7815: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c -ldir >&5
/usr/local/lib/gcc/i686-pc-linux-gnu/3.4.3/../../../../i686-pc-linux-gnu/bin/ld:
cannot find -ldir
collect2: ld returned 1 exit status
configure:7818: $? = 1
configure: failed program was:
#line 7796 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char opendir ();
int
main ()
{
opendir ();
;
return 0;
}
configure:7835: result: no
configure:7897: checking whether time.h and sys/time.h may both be included
configure:7919: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:7922: $? = 0
configure:7925: test -s conftest.o
configure:7928: $? = 0
configure:7938: result: yes
configure:7948: checking for regular-expression headers
configure:7973: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:7976: $? = 0
configure:7979: test -s conftest
configure:7982: $? = 0
configure:8064: result: regex.h
configure:8100: checking for fcntl.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for getopt.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for libc.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8107:18: libc.h: No such file or directory
configure:8116: $? = 1
configure: failed program was:
#line 8106 "configure"
#include "confdefs.h"
#include <libc.h>
configure:8135: result: no
configure:8100: checking for limits.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for locale.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for poll.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for sys/bsdtypes.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8107:26: sys/bsdtypes.h: No such file or directory
configure:8116: $? = 1
configure: failed program was:
#line 8106 "configure"
#include "confdefs.h"
#include <sys/bsdtypes.h>
configure:8135: result: no
configure:8100: checking for sys/ioctl.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for sys/param.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for sys/poll.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for sys/select.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for sys/time.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for sys/times.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for ttyent.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for unistd.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8100: checking for wctype.h
configure:8110: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:8116: $? = 0
configure:8135: result: yes
configure:8254: checking if sys/time.h works with sys/select.h
configure:8281: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8284: $? = 0
configure:8287: test -s conftest.o
configure:8290: $? = 0
configure:8302: result: yes
configure:8315: checking for gcc option to accept ANSI C
configure:8372: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8375: $? = 0
configure:8378: test -s conftest.o
configure:8381: $? = 0
configure:8398: result: none needed
configure:8406: checking for an ANSI C-conforming const
configure:8470: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8473: $? = 0
configure:8476: test -s conftest.o
configure:8479: $? = 0
configure:8489: result: yes
configure:8499: checking for inline
configure:8516: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8519: $? = 0
configure:8522: test -s conftest.o
configure:8525: $? = 0
configure:8536: result: inline
configure:8555: checking if unsigned literals are legal
configure:8574: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8577: $? = 0
configure:8580: test -s conftest.o
configure:8583: $? = 0
configure:8595: result: yes
configure:8598: checking for type of chtype
configure:8655: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8658: $? = 0
configure:8660: ./conftest
configure:8663: $? = 0
configure:8678: result: long
configure:8691: checking if external errno is declared
configure:8716: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8719: $? = 0
configure:8722: test -s conftest.o
configure:8725: $? = 0
configure:8736: result: yes
configure:8751: checking if external errno exists
configure:8773: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8776: $? = 0
configure:8779: test -s conftest
configure:8782: $? = 0
configure:8793: result: yes
configure:8806: checking if data-only library module links
configure:8817: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8820: $? = 0
ar: creating conftest.a
configure:8840: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:8843: $? = 0
configure:8867: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c conftest.a >&5
configure:8870: $? = 0
configure:8872: ./conftest
configure:8875: $? = 0
configure:8890: result: yes
configure:8927: checking for getcwd
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for getegid
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for geteuid
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for getttynam
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for issetugid
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
/tmp/ccqk11yd.o(.text+0x2): In function `main':
: undefined reference to `issetugid'
collect2: ld returned 1 exit status
configure:8967: $? = 1
configure: failed program was:
#line 8933 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char issetugid (); below. */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char issetugid ();
char (*f) ();
int
main ()
{
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined (__stub_issetugid) || defined (__stub___issetugid)
choke me
#else
f = issetugid;
#endif
;
return 0;
}
configure:8983: result: no
configure:8927: checking for memccpy
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for nanosleep
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for poll
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for remove
configure:8983: result: yes
configure:8927: checking for select
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for setbuf
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for setbuffer
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for setvbuf
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for sigaction
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for sigvec
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for strdup
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8943: warning: conflicting types for built-in function 'strdup'
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for strstr
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8943: warning: conflicting types for built-in function 'strstr'
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for tcgetpgrp
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for times
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8927: checking for vsnprintf
configure:8964: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:8943: warning: conflicting types for built-in function 'vsnprintf'
configure:8967: $? = 0
configure:8970: test -s conftest
configure:8973: $? = 0
configure:8983: result: yes
configure:8995: checking for terminal-capability database functions
configure:9022: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
/tmp/cc2eGOmO.o(.text+0x3e): In function `main':
: undefined reference to `cgetent'
/tmp/cc2eGOmO.o(.text+0x5e): In function `main':
: undefined reference to `cgetcap'
/tmp/cc2eGOmO.o(.text+0x75): In function `main':
: undefined reference to `cgetmatch'
collect2: ld returned 1 exit status
configure:9025: $? = 1
configure: failed program was:
#line 9002 "configure"
#include "confdefs.h"
#include <stdlib.h>
int
main ()
{
char temp[128];
char *buf = temp;
char *db_array = temp;
cgetent(&buf, /* int *, */ &db_array, "vt100");
cgetcap(buf, "tc", '=');
cgetmatch(buf, "tc");
;
return 0;
}
configure:9043: result: no
configure:9051: checking for isascii
configure:9070: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:9073: $? = 0
configure:9076: test -s conftest
configure:9079: $? = 0
configure:9090: result: yes
configure:9097: checking whether sigaction needs _POSIX_SOURCE
configure:9114: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:9117: $? = 0
configure:9120: test -s conftest.o
configure:9123: $? = 0
configure:9170: result: no
configure:9181: checking for termio.h
configure:9191: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:9197: $? = 0
configure:9216: result: yes
configure:9181: checking for termios.h
configure:9191: gcc -E -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.c
configure:9197: $? = 0
configure:9216: result: yes
configure:9181: checking for unistd.h
configure:9216: result: yes
configure:9284: checking whether termios.h needs _POSIX_SOURCE
configure:9299: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:9302: $? = 0
configure:9305: test -s conftest.o
configure:9308: $? = 0
configure:9354: result: no
configure:9359: checking for tcgetattr
configure:9394: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:9397: $? = 0
configure:9400: test -s conftest
configure:9403: $? = 0
configure:9413: result: yes
configure:9419: checking for vsscanf function or workaround
configure:9442: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:9445: $? = 0
configure:9448: test -s conftest
configure:9451: $? = 0
configure:9544: result: vsscanf
configure:9562: checking for working mkstemp
configure:9669: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:9672: $? = 0
configure:9674: ./conftest
configure:9677: $? = 0
configure:9692: result: yes
configure:9712: checking whether setvbuf arguments are reversed
configure:9740: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure: In function `main':
configure:9732: warning: passing arg 2 of `setvbuf' makes pointer from integer
without a cast
configure:9732: warning: passing arg 3 of `setvbuf' makes integer from pointer
without a cast
configure:9743: $? = 0
configure:9745: ./conftest
configure:9748: $? = 1
configure: program exited with status 1
configure: failed program was:
#line 9723 "configure"
#include "confdefs.h"
#include <stdio.h>
/* If setvbuf has the reversed format, exit 0. */
int
main ()
{
/* This call has the arguments reversed.
A reversed system may check and see that the address of main
is not _IOLBF, _IONBF, or _IOFBF, and return nonzero. */
if (setvbuf(stdout, _IOLBF, (char *) main, BUFSIZ) != 0)
exit(1);
putc('\r', stdout);
exit(0); /* Non-reversed systems segv here. */
}
configure:9761: result: no
configure:9772: checking return type of signal handlers
configure:9800: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:9803: $? = 0
configure:9806: test -s conftest.o
configure:9809: $? = 0
configure:9819: result: void
configure:9826: checking for type sigaction_t
configure:9846: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure: In function `main':
configure:9839: error: `sigaction_t' undeclared (first use in this function)
configure:9839: error: (Each undeclared identifier is reported only once
configure:9839: error: for each function it appears in.)
configure:9839: error: parse error before "x"
configure:9849: $? = 1
configure: failed program was:
#line 9833 "configure"
#include "confdefs.h"
#include <signal.h>
int
main ()
{
sigaction_t x
;
return 0;
}
configure:9866: result: no
configure:9872: checking declaration of size-change
configure:9931: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:9934: $? = 0
configure:9937: test -s conftest.o
configure:9940: $? = 0
size-change succeeded ()
configure:9959: result: yes
configure:9976: checking for memmove
configure:10013: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:9992: warning: conflicting types for built-in function 'memmove'
configure:10016: $? = 0
configure:10019: test -s conftest
configure:10022: $? = 0
configure:10032: result: yes
configure:10164: checking if poll really works
configure:10195: gcc -o conftest -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.c >&5
configure:10198: $? = 0
configure:10200: ./conftest
configure:10203: $? = 0
configure:10215: result: yes
configure:10228: checking if we should include stdbool.h
configure:10248: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure: In function `main':
configure:10241: error: `bool' undeclared (first use in this function)
configure:10241: error: (Each undeclared identifier is reported only once
configure:10241: error: for each function it appears in.)
configure:10241: error: parse error before "foo"
configure:10251: $? = 1
configure: failed program was:
#line 10236 "configure"
#include "confdefs.h"
int
main ()
{
bool foo = false
;
return 0;
}
configure:10280: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure:10283: $? = 0
configure:10286: test -s conftest.o
configure:10289: $? = 0
configure:10303: result: yes
configure:10309: checking for builtin bool type
configure:10332: gcc -c -s -O3 -march=i686 -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.c >&5
configure: In function `main':
configure:10325: error: `bool' undeclared (first use in this function)
configure:10325: error: (Each undeclared identifier is reported only once
configure:10325: error: for each function it appears in.)
configure:10325: error: parse error before "x"
configure:10335: $? = 1
configure: failed program was:
#line 10317 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <sys/types.h>
int
main ()
{
bool x = false
;
return 0;
}
configure:10356: result: no
configure:10377: checking for library stdc++
configure:10402: /usr/local/bin/g++ -o conftest -s -O3 -march=i686
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc -lstdc++ >&5
configure:10388:23: strstream.h: No such file or directory
configure: In function `int main()':
configure:10394: error: `strstreambuf' undeclared (first use this function)
configure:10394: error: (Each undeclared identifier is reported only once for
each function it appears in.)
configure:10394: error: expected `;' before "foo"
configure:10405: $? = 1
configure: failed program was:
#line 10386 "configure"
#include "confdefs.h"
#include <strstream.h>
int
main ()
{
char buf[80];
strstreambuf foo(buf, sizeof(buf))
;
return 0;
}
configure:10423: result: no
configure:10546: checking how to run the C++ preprocessor
configure:10568: /usr/local/bin/g++ -E -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.cc
configure:10574: $? = 0
configure:10601: /usr/local/bin/g++ -E -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.cc
configure:10598:28: ac_nonexistent.h: No such file or directory
configure:10607: $? = 1
configure: failed program was:
#line 10597 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:10644: result: /usr/local/bin/g++ -E
configure:10659: /usr/local/bin/g++ -E -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.cc
configure:10665: $? = 0
configure:10692: /usr/local/bin/g++ -E -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.cc
configure:10689:28: ac_nonexistent.h: No such file or directory
configure:10698: $? = 1
configure: failed program was:
#line 10688 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:10740: checking for typeinfo
configure:10750: /usr/local/bin/g++ -E -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.cc
configure:10756: $? = 0
configure:10775: result: yes
configure:10785: checking if we should include stdbool.h
configure:10860: result: yes
configure:10866: checking for builtin bool type
configure:10889: /usr/local/bin/g++ -c -s -O3 -march=i686 -D_GNU_SOURCE
-DXTSTRINGDEFINES conftest.cc >&5
configure:10892: $? = 0
configure:10895: test -s conftest.o
configure:10898: $? = 0
configure:10911: result: yes
configure:10917: checking for size of bool
configure:10970: /usr/local/bin/g++ -o conftest -s -O3 -march=i686
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure:10973: $? = 0
configure:10975: ./conftest
configure:10978: $? = 0
configure:10996: result: unsigned char
configure:11007: checking for special defines needed for etip.h
configure:11033: /usr/local/bin/g++ -c -s -O3 -march=i686 -I./c++ -I./menu
-I./include -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure:11036: $? = 0
configure:11039: test -s conftest.o
configure:11042: $? = 0
configure:11033: /usr/local/bin/g++ -c -s -O3 -march=i686 -I./c++ -I./menu
-I./include -DETIP_NEEDS_MATH_H -D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure:11036: $? = 0
configure:11039: test -s conftest.o
configure:11042: $? = 0
configure:11063: result: MATH_H
configure:11068: checking if /usr/local/bin/g++ accepts parameter initialization
configure:11103: /usr/local/bin/g++ -o conftest -s -O3 -march=i686
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure:11095: error: default argument given for parameter 1 of
`TEST::TEST(int)'
configure:11090: error: after previous specification in `TEST::TEST(int)'
configure:11098: error: `main' must return `int'
configure:11106: $? = 1
configure: program exited with status 1
configure: failed program was:
#line 11084 "configure"
#include "confdefs.h"
class TEST {
private:
int value;
public:
TEST(int x = 1);
~TEST();
};
TEST::TEST(int x = 1) // some compilers do not like second initializer
{
value = x;
}
void main() { }
configure:11129: result: no
configure:11147: checking for strstream.h
configure:11157: /usr/local/bin/g++ -E -D_GNU_SOURCE -DXTSTRINGDEFINES
conftest.cc
configure:11154:23: strstream.h: No such file or directory
configure:11163: $? = 1
configure: failed program was:
#line 11153 "configure"
#include "confdefs.h"
#include <strstream.h>
configure:11182: result: no
configure:11192: checking if /usr/local/bin/g++ supports vscan function
configure:11251: /usr/local/bin/g++ -o conftest -s -O3 -march=i686
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure: In function `int scanw(const char*, ...)':
configure:11227: error: `strstreambuf' undeclared (first use this function)
configure:11227: error: (Each undeclared identifier is reported only once for
each function it appears in.)
configure:11227: error: expected `;' before "ss"
configure:11228: error: `ss' undeclared (first use this function)
configure:11254: $? = 1
configure: failed program was:
#line 11206 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <stdarg.h>
#define USE_STRSTREAM_VSCAN 1
#if defined(USE_STDIO_VSCAN)
#elif defined(HAVE_STRSTREAM_H) && defined(USE_STRSTREAM_VSCAN)
#include <strstream.h>
#endif
int scanw(const char* fmt, ...)
{
int result = -1;
char buf[BUFSIZ];
va_list args;
va_start(args, fmt);
#if defined(USE_STDIO_VSCAN)
if (::vsscanf(buf, fmt, args) != -1)
result = 0;
#elif defined(USE_STRSTREAM_VSCAN)
strstreambuf ss(buf, sizeof(buf));
if (ss.vscan(fmt, args) != -1)
result = 0;
#elif defined(USE_STRSTREAM_VSCAN_CAST)
strstreambuf ss(buf, sizeof(buf));
if (ss.vscan(fmt, (_IO_va_list)args) != -1)
result = 0;
#else
#error case strstream failed
#endif
va_end(args);
return result;
}
int
main ()
{
int tmp, foo = scanw("%d", &tmp)
;
return 0;
}
configure:11251: /usr/local/bin/g++ -o conftest -s -O3 -march=i686
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure: In function `int scanw(const char*, ...)':
configure:11231: error: `strstreambuf' undeclared (first use this function)
configure:11231: error: (Each undeclared identifier is reported only once for
each function it appears in.)
configure:11231: error: expected `;' before "ss"
configure:11232: error: `ss' undeclared (first use this function)
configure:11254: $? = 1
configure: failed program was:
#line 11206 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <stdarg.h>
#define USE_STRSTREAM_VSCAN_CAST 1
#if defined(USE_STDIO_VSCAN)
#elif defined(HAVE_STRSTREAM_H) && defined(USE_STRSTREAM_VSCAN)
#include <strstream.h>
#endif
int scanw(const char* fmt, ...)
{
int result = -1;
char buf[BUFSIZ];
va_list args;
va_start(args, fmt);
#if defined(USE_STDIO_VSCAN)
if (::vsscanf(buf, fmt, args) != -1)
result = 0;
#elif defined(USE_STRSTREAM_VSCAN)
strstreambuf ss(buf, sizeof(buf));
if (ss.vscan(fmt, args) != -1)
result = 0;
#elif defined(USE_STRSTREAM_VSCAN_CAST)
strstreambuf ss(buf, sizeof(buf));
if (ss.vscan(fmt, (_IO_va_list)args) != -1)
result = 0;
#else
#error case strstream_cast failed
#endif
va_end(args);
return result;
}
int
main ()
{
int tmp, foo = scanw("%d", &tmp)
;
return 0;
}
configure:11251: /usr/local/bin/g++ -o conftest -s -O3 -march=i686
-D_GNU_SOURCE -DXTSTRINGDEFINES conftest.cc >&5
configure:11254: $? = 0
configure:11257: test -s conftest
configure:11260: $? = 0
configure:11273: result: stdio
configure:11481: checking for gnatmake
configure:11505: result: no
configure:11697: checking for library subsets
configure:11710: result: termlib+ext_tinfo base+ext_funcs
configure:11748: checking default library suffix
configure:11759: result:
configure:11762: checking default library-dependency suffix
configure:11791: result: .la
configure:11794: checking default object directory
configure:11810: result: obj_lo
configure:11815: checking c++ library-dependency suffix
configure:11841: result: .la
configure:11851: checking where we will install curses.h
configure:11856: result: ${prefix}/include
configure:11890: checking for src modules
configure:11950: result: ncurses progs tack panel menu form
configure:12137: creating ./config.status
## ----------------------- ##
## Running config.status. ##
## ----------------------- ##
This file was extended by config.status 2.52.20030208, executed with
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
> ./config.status
on pierre
config.status:12755: creating include/MKterm.h.awk
config.status:12755: creating include/curses.head
config.status:12755: creating include/termcap.h
config.status:12755: creating include/unctrl.h
config.status:12755: creating man/Makefile
config.status:12755: creating include/Makefile
config.status:12755: creating ncurses/Makefile
config.status:12755: creating progs/Makefile
config.status:12755: creating tack/Makefile
config.status:12755: creating panel/Makefile
config.status:12755: creating menu/Makefile
config.status:12755: creating form/Makefile
config.status:12755: creating test/Makefile
config.status:12755: creating misc/Makefile
config.status:12755: creating c++/Makefile
config.status:12755: creating misc/run_tic.sh
config.status:12755: creating Makefile
config.status:12852: creating include/ncurses_cfg.h
## ----------------- ##
## Cache variables. ##
## ----------------- ##
ac_cv_build=i686-pc-linux-gnu
ac_cv_build_alias=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_c_inline=inline
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=set
ac_cv_env_CC_value=gcc
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-s -O3 -march=i686'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-s -O3 -march=i686'
ac_cv_env_CXX_set=set
ac_cv_env_CXX_value=g++
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_func_getcwd=yes
ac_cv_func_getegid=yes
ac_cv_func_geteuid=yes
ac_cv_func_gettimeofday=yes
ac_cv_func_getttynam=yes
ac_cv_func_issetugid=no
ac_cv_func_link=yes
ac_cv_func_memccpy=yes
ac_cv_func_memmove=yes
ac_cv_func_nanosleep=yes
ac_cv_func_poll=yes
ac_cv_func_remove=yes
ac_cv_func_select=yes
ac_cv_func_setbuf=yes
ac_cv_func_setbuffer=yes
ac_cv_func_setvbuf=yes
ac_cv_func_setvbuf_reversed=no
ac_cv_func_sigaction=yes
ac_cv_func_sigvec=yes
ac_cv_func_strdup=yes
ac_cv_func_strstr=yes
ac_cv_func_symlink=yes
ac_cv_func_tcgetpgrp=yes
ac_cv_func_times=yes
ac_cv_func_unlink=yes
ac_cv_func_vsnprintf=yes
ac_cv_header_dirent_dirent_h=yes
ac_cv_header_fcntl_h=yes
ac_cv_header_getopt_h=yes
ac_cv_header_gpm_h=yes
ac_cv_header_libc_h=no
ac_cv_header_limits_h=yes
ac_cv_header_locale_h=yes
ac_cv_header_poll_h=yes
ac_cv_header_stdc=yes
ac_cv_header_strstream_h=no
ac_cv_header_sys_bsdtypes_h=no
ac_cv_header_sys_ioctl_h=yes
ac_cv_header_sys_param_h=yes
ac_cv_header_sys_poll_h=yes
ac_cv_header_sys_select_h=yes
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_times_h=yes
ac_cv_header_termio_h=yes
ac_cv_header_termios_h=yes
ac_cv_header_time=yes
ac_cv_header_ttyent_h=yes
ac_cv_header_typeinfo=yes
ac_cv_header_unistd_h=yes
ac_cv_header_wctype_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_host_alias=i686-pc-linux-gnu
ac_cv_lib_dbmalloc_debug_malloc=no
ac_cv_lib_dir_opendir=no
ac_cv_lib_dmalloc_dmalloc_debug=no
ac_cv_lib_gpm_Gpm_Open=yes
ac_cv_objext=o
ac_cv_path_CXX=/usr/local/bin/g++
ac_cv_path_LDCONFIG=/sbin/ldconfig
ac_cv_path_LIBTOOL=/usr/local/bin/libtool
ac_cv_path_install='/usr/local/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='/usr/local/bin/g++ -E'
ac_cv_prog_MAKE_LOWER_TAGS=yes
ac_cv_prog_MAKE_UPPER_TAGS=yes
ac_cv_prog_MAN=man
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_LD=ld
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_g=yes
ac_cv_prog_gcc_traditional=no
ac_cv_prog_gnat_exists=no
ac_cv_prog_make_make_set=yes
ac_cv_sys_long_file_names=yes
ac_cv_target=i686-pc-linux-gnu
ac_cv_target_alias=i686-pc-linux-gnu
ac_cv_type_signal=void
cf_cv_1UL=1UL
cf_cv_abi_version=5
cf_cv_ansi_cc=-DCC_HAS_PROTOS
cf_cv_builtin_bool=1
cf_cv_cc_bool_type=0
cf_cv_cgetent=no
cf_cv_cpp_param_init=no
cf_cv_cpp_vscan_func=stdio
cf_cv_dcl_errno=yes
cf_cv_do_symlinks=yes
cf_cv_func_mkstemp=yes
cf_cv_func_vsscanf=vsscanf
cf_cv_gnu_source=yes
cf_cv_have_errno=yes
cf_cv_have_isascii=yes
cf_cv_have_tcgetattr=yes
cf_cv_header_stdbool_h=1
cf_cv_ld_rpath=yes
cf_cv_libstdcpp=no
cf_cv_libtool_version=1.5.4
cf_cv_link_dataonly=yes
cf_cv_link_funcs=' link symlink'
cf_cv_makeflags=
cf_cv_mixedcase=yes
cf_cv_need_libm=yes
cf_cv_regex=regex.h
cf_cv_rel_version=5.4
cf_cv_rm_so_locs=no
cf_cv_shlib_version=rel
cf_cv_shlib_version_infix=no
cf_cv_sizechange=yes
cf_cv_src_modules='ncurses progs tack panel menu form'
cf_cv_subst_AR_OPTS=rv
cf_cv_sys_time_select=yes
cf_cv_system_name=linux-gnu
cf_cv_timestamp='Wed Nov 24 01:51:53 CET 2004'
cf_cv_type_of_bool='unsigned char'
cf_cv_type_sigaction=no
cf_cv_typeof_chtype=long
cf_cv_unsigned_literals=yes
cf_cv_working_poll=yes
## ------------ ##
## confdefs.h. ##
## ------------ ##
#define SYSTEM_NAME "linux-gnu"
#define CC_HAS_PROTOS 1
#ifdef __cplusplus
#include <stdlib.h>
#endif
#define HAVE_LONG_FILE_NAMES 1
#define MIXEDCASE_FILENAMES 1
#define HAVE_LIBGPM 1
#define HAVE_GPM_H 1
#define USE_DATABASE 1
#define TERMINFO_DIRS "/usr/share/terminfo"
#define TERMINFO "/usr/share/terminfo"
#define HAVE_BIG_CORE 1
#define USE_TERMCAP 1
#define TERMPATH "/etc/termcap:/usr/share/misc/termcap"
#define USE_GETCAP 1
#define USE_GETCAP_CACHE 1
#define USE_HOME_TERMINFO 1
#define HAVE_REMOVE 1
#define HAVE_UNLINK 1
#define HAVE_LINK 1
#define HAVE_SYMLINK 1
#define USE_SYMLINKS 1
#define BROKEN_LINKER 1
#define BSD_TPUTS 1
#define USE_RCS_IDS 1
#define HAVE_CURSES_VERSION 1
#define HAVE_HAS_KEY 1
#define HAVE_RESIZETERM 1
#define HAVE_RESIZE_TERM 1
#define HAVE_USE_DEFAULT_COLORS 1
#define HAVE_WRESIZE 1
#define NCURSES_EXT_FUNCS 1
#define NCURSES_NO_PADDING 1
#define USE_SIGWINCH 1
#define USE_HARD_TABS 1
#define USE_ROOT_ENVIRON 1
#define USE_XMC_SUPPORT 1
#define USE_ASSUMED_COLOR 1
#define USE_HASHMAP 1
#define USE_COLORFGBG 1
#define USE_SAFE_SPRINTF 1
#define GCC_SCANF 1
#define GCC_PRINTF 1
#define GCC_UNUSED __attribute__((unused))
#define GCC_NORETURN __attribute__((noreturn))
#define HAVE_NC_ALLOC_H 1
#define NCURSES_EXPANDED 1
#define HAVE_GETTIMEOFDAY 1
#define STDC_HEADERS 1
#define HAVE_DIRENT_H 1
#define TIME_WITH_SYS_TIME 1
#define HAVE_REGEX_H_FUNCS 1
#define HAVE_FCNTL_H 1
#define HAVE_GETOPT_H 1
#define HAVE_LIMITS_H 1
#define HAVE_LOCALE_H 1
#define HAVE_POLL_H 1
#define HAVE_SYS_IOCTL_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_SYS_POLL_H 1
#define HAVE_SYS_SELECT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TIMES_H 1
#define HAVE_TTYENT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_WCTYPE_H 1
#define HAVE_SYS_TIME_SELECT 1
#define CC_HAS_INLINE_FUNCS 1
#define TYPEOF_CHTYPE long
#define HAVE_ERRNO 1
#define HAVE_GETCWD 1
#define HAVE_GETEGID 1
#define HAVE_GETEUID 1
#define HAVE_GETTTYNAM 1
#define HAVE_MEMCCPY 1
#define HAVE_NANOSLEEP 1
#define HAVE_POLL 1
#define HAVE_REMOVE 1
#define HAVE_SELECT 1
#define HAVE_SETBUF 1
#define HAVE_SETBUFFER 1
#define HAVE_SETVBUF 1
#define HAVE_SIGACTION 1
#define HAVE_SIGVEC 1
#define HAVE_STRDUP 1
#define HAVE_STRSTR 1
#define HAVE_TCGETPGRP 1
#define HAVE_TIMES 1
#define HAVE_VSNPRINTF 1
#define HAVE_ISASCII 1
#define HAVE_TERMIO_H 1
#define HAVE_TERMIOS_H 1
#define HAVE_UNISTD_H 1
#define HAVE_TCGETATTR 1
#define HAVE_VSSCANF 1
#define HAVE_MKSTEMP 1
#define RETSIGTYPE void
#define HAVE_SIZECHANGE 1
#define HAVE_WORKING_POLL 1
#define HAVE_TYPEINFO 1
#define ETIP_NEEDS_MATH_H 1
#define CPP_HAS_VSCAN_FUNC 1
#define USE_STDIO_VSCAN 1
#define HAVE_SLK_COLOR 1
#define HAVE_PANEL_H 1
#define HAVE_LIBPANEL 1
#define HAVE_MENU_H 1
#define HAVE_LIBMENU 1
#define HAVE_FORM_H 1
#define HAVE_LIBFORM 1
#define NCURSES_PATHSEP ':'
#define NCURSES_VERSION_STRING "5.4.20040208"
configure: exit 0